package com.atmob.keyboard_android.util

import com.google.gson.Gson
import com.google.gson.reflect.TypeToken

/**
 * Json工具类
 */
class JsonUtil {
    companion object {
        private val sGson = Gson()

        /**
         * 解析Json为实体类
         */
        fun <T> parseJson(json: String): T {
            return sGson.fromJson<T>(json, object : TypeToken<T>() {})
        }

        /**
         * 解析Json为实体类
         */
        fun <T> parseJsonByClass(json: String, clazz: Class<T>): T {
            return sGson.fromJson<T>(json, clazz)
        }

        /**
         * 将对象，转为Json字符串
         */
        fun toJson(obj: Any): String {
            return sGson.toJson(obj)
        }
    }
}